Subject: [bitcoindev] Re: Proposal for Decentralized Satellite-Based Bitcoin Nodes

From: Antoine Riard <[email-masked]>
Date: Sun, 6 Jul 2025 18:26:16 -0700 (PDT)

Hi BitMan,

Can check the original thread by jgarzik, before LEO constellations were 
cool:

https://bitcointalk.org/index.php?topic=334701.0

This is fascinating challenge to tackle on, a strong degree in theoretical 
physics
or equivalent can only be a good start imho. 

Best,
Antoine
OTS hash: f941581f7565cd2d3ef3f1a8e15701fddc81c5f0c98f1bd7dc2911e46340c837
Le dimanche 6 juillet 2025 à 16:36:19 UTC+1, BitMan a écrit :

> Hello,
>
> This is my first message to the Bitcoin Development Mailing List.
>
> Straight to the point: you might be familiar with the Blockstream 
> Satellite system, which broadcasts the Bitcoin blockchain globally. 
> Blockstream uses ground stations that receive a version of the blockchain 
> from Blockstream's infrastructure. Users can passively receive this data 
> but cannot broadcast transactions or contribute updates to the blockchain 
> being transmitted.
>
> My concern is the lack of decentralization and the reliance on a single 
> company. I’m only 16 and still learning, but I’m passionate about improving 
> Bitcoin. I don’t fully understand how satellites work yet — but inspired by 
> Elon Musk’s Starlink approach, I believe it's worth exploring the idea of a 
> fully open-source, community-driven satellite communication system.
>
> This system could allow users not only to receive but also to broadcast 
> transactions and synchronize blocks directly to and from full nodes in 
> space. That way, Bitcoin could truly function off-grid and without 
> dependency on centralized ISPs or infrastructure. It would make Bitcoin 
> more resilient, censorship-resistant, and globally accessible.
>
> Of course, such a project would be very expensive and technically complex. 
> But perhaps it could be made possible through crowdfunding or support from 
> individuals passionate about decentralization and global freedom.
>
> My dream is to see Bitcoin working *almost* offline — powered by minimal 
> energy, generated through a small solar panel and paired with a satellite 
> dish. A full node that can send and receive data or even a singular device 
> exploring the blockchain or broadcasting a transaction, independent of 
> centralized networks — truly decentralized and powered by the people.
>
> Thanks a lot for reading my message :)
>
> Yours,
> [Username not set yet :)]
>

-- 
You received this message because you are subscribed to the Google Groups "Bitcoin Development Mailing List" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [email-masked].
To view this discussion visit https://groups.google.com/d/msgid/bitcoindev/739f2f7f-9f56-40c9-a583-6c3ad9ad65fbn%40googlegroups.com.